
package se.vgregion.portal.createuser;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for createUserStatusCodeType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="createUserStatusCodeType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="NEW_USER"/>
 *     &lt;enumeration value="EXISTING_EXTERNAL_USER"/>
 *     &lt;enumeration value="EXISTING_INTERNAL_USER"/>
 *     &lt;enumeration value="SPONSOR_NOT_AUTHORIZED"/>
 *     &lt;enumeration value="ERROR"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "createUserStatusCodeType")
@XmlEnum
public enum CreateUserStatusCodeType {

    NEW_USER,
    EXISTING_EXTERNAL_USER,
    EXISTING_INTERNAL_USER,
    SPONSOR_NOT_AUTHORIZED,
    ERROR;

    public String value() {
        return name();
    }

    public static CreateUserStatusCodeType fromValue(String v) {
        return valueOf(v);
    }

}
